// miniprogram/pages/home/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    newList: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: async function (options) {
    const db = wx.cloud.database();
    const _ = db.command;
    let listNews = await db.collection('data_news').where({
      hot: true,
      type: 1
    }).count();
    let video = await db.collection("data_asset").where({
      type: "video"
    }).count();
    const listpage = Math.ceil(listNews.total / 20)
    const videopage = Math.ceil(video.total / 20)
    let list = [];
    for (let i = 0; i < listpage; i++) {
      let end = listNews.total > (i + 1) * 20 ? (i + 1) * 20 : listNews.total;
      let li = await db.collection('data_news').where({
        hot: true,
        type: 1
      }).skip(i * 20)
        .limit(end)
        .get() || { data: [] };
      list = list.concat(...li.data)
    }
    for (let i = 0; i < videopage; i++) {
      let end = video.total > (i + 1) * 20 ? (i + 1) * 20 : video.total;
      let li = await db.collection("data_asset").where({
        type: "video"
      }).skip(i * 20)
        .limit(end)
        .get() || { data: [] };
      list = list.concat(...li.data)
    }
    list = list.sort((a,b)=>{
      if(a._createTime) a.create_time = a._createTime;
      if(b._createTime) b.create_time = b._createTime;
      return b.create_time - a.create_time
    })

    for (let i = 0; i < list.length; i++) {
      const v = list[i];
      v.create_time = this.format(v.create_time || 0)
    }
    this.setData({
      newList: list || []
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  play: function (e) {
    var that = this;
    var id = e.currentTarget.id;
    for (var i = 0; i < that.data.newList.length; i++) {
      if (id !== 'newsVideo' + i && that.data.newList[i].type == 'video') {
        //console.log('暂停其他正在播放的视频');
        var videoContext = wx.createVideoContext("newsVideo" + i, that);
        videoContext.pause();
      }else{
        continue
      }
    }
  },
  format: function (res) {
    if (!res) return ""
    let T = new Date(res || 0);
    let year = T.getFullYear();
    let month = T.getMonth() + 1;
    let day = T.getDate();
    let hour = T.getHours();
    let min = T.getMinutes() + 1;
    let sec = T.getSeconds();
    return year + "-" + (month > 9 ? month : "0" + month) + "-" + (day > 9 ? day : "0" + day) + " " + (hour > 9 ? hour : '0' + hour) + ":" + (min > 9 ? min : '0' + min) + ":" + (sec > 9 ? sec : '0' + sec);
  },
  toDetail: function (e) {
    let title = e.currentTarget.dataset.title, id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/detail/detail?title=' + title + "&id=" + id,
    })
  },
  toMarvellous: function (e) {
    wx.navigateTo({
      url: '/pages/marvellous/index?title=' + e.currentTarget.dataset.title + "&type=" + e.currentTarget.dataset.type,
    })
  }

})

