// miniprogram/pages/interList/interList.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    newsList: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: async function (options) {
    if (options.type == "news") {
      wx.setNavigationBarTitle({
        title: '新闻列表'
      })
    } else {
      wx.setNavigationBarTitle({
        title: '视频列表'
      })
    }
    const db = wx.cloud.database();
    wx.showLoading()
    let listAll = await db.collection('data_news').where({
      type: 1
    }).count();
    let videoAll = await db.collection("data_asset").where({
      type: "video"
    }).count();

    const videopage = Math.ceil(videoAll.total / 20);
    const listpage = Math.ceil(listAll.total / 20);
    let list = []
    for (let i = 0; i < videopage; i++) {
      let end = videoAll.total > (i + 1) * 20 ? (i + 1) * 20 : videoAll.total;
      let li = await db.collection("data_asset").where({
        type: "video"
      }).skip(i * 20)
        .limit(end)
        .get() || { data: [] };
      list = list.concat(...li.data)
    }
    for (let i = 0; i < listpage; i++) {
      let end = listAll.total > (i + 1) * 20 ? (i + 1) * 20 : listAll.total;
      let li = await db.collection('data_news').where({
        type: 1
      }).skip(i * 20)
        .limit(end)
        .get() || { data: [] };
      list = list.concat(...li.data)
    }

    list = list.sort((a,b)=>{
      if(a._createTime) a.create_time = a._createTime;
      if(b._createTime) b.create_time = b._createTime;
      return b.create_time - a.create_time
    })
    for (let i = 0; i < list.length; i++) {
      const v = list[i];
      if (v.create_time) v.create_time = this.format(v.create_time || 0)
    }
    console.log(list)
    this.setData({
      newsList: list || []
    },()=>{
    wx.hideLoading()
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  tolist: function (e) {
    console.log(e)
  },

  format: function (res) {
    if (!res) return ""
    let num = (res || 0) -0
    let T = new Date(num);
    let year = T.getFullYear();
    let month = T.getMonth() + 1;
    let day = T.getDate();
    let hour = T.getHours();
    let min = T.getMinutes() + 1;
    let sec = T.getSeconds();

    return year + "-" + (month > 9 ? month : "0" + month) + "-" + day + " " + (hour > 9 ? hour : '0' + hour) + ":" + (min > 9 ? min : '0' + min) + ":" + (sec > 9 ? sec : '0' + sec);
  },
  toDetail:function(e){
    let title = e.currentTarget.dataset.title, id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/detail/detail?title=' + title + "&id=" + id,
    })
  }
})